std::__iterator_traits< _Iterator, typename > Struct Template Reference
Iterators

## Detailed Description

### template<typename _Iterator, typename = __void_t<>>
struct std::__iterator_traits< _Iterator, typename >

Traits class for iterators.

This class does nothing but define nested typedefs. The general version simply forwards the nested typedefs from the Iterator argument. Specialized versions for pointers and pointers-to-const provide tighter, more correct semantics.

Definition at line 144 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h